Listings
/listings/opening-balance
Get opening balances for listings
Authorization
apiKey X-API-Key<token>
API key provided in dashboard
In: header
Query Parameters
status?string
Value in
"active" | "inactive"connectionId?string
ids?string
Comma-separated listing ids.
Format
vrp-csvsearch?string
contactId?string
shortRefs?string
Comma-separated listing short refs.
Format
vrp-csvactiveOwnership?boolean
Filter listings by whether they currently have an active ownership period.
activeRecurringFeePeriods?string
Filter by active recurring fee coverage. Use active or inactive for any recurring fee type, prefix a fee type with ! to exclude it, or pass a recurring fee UUID for one specific fee.
openingBalance?boolean
Filter listings that have (true) or lack (false) opening balances
issue?string
Filter listings by setup issue code, "all" (all setup issues), or "any" (at least one setup issue)
Value in
"all" | "any" | "missingOwnershipOrDeactivation" | "missingFeesAndCommission" | "missingOpeningBalance"limit?number
Default
100Range
1 <= value <= 250page?number
Default
1Range
1 <= valueResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.vrplatform.app/listings/opening-balance"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"address": {
"full": "string",
"line1": "string",
"line2": "string",
"city": "string",
"state": "string",
"postalCode": "string",
"stateCode": "string",
"countryCode": "string"
},
"openingBalance": {
"amount": -9007199254740991,
"currency": "string",
"updatedAt": "string"
}
}
],
"pagination": {
"limit": 100,
"page": 1,
"total": 0,
"totalPage": 0,
"nextPage": 0
}
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}